<?php
/**
 * PLik z konfiguracją dla domyślnego przykładu ShoutBox
 */

$cfg_shoutbox = array(
'guest_read'    => true,  //czy goście (niezalogowani) mogą czytać ShoutBox
'guest_write'   => true,  //czy goście (niezalogowani) mogą pisać w ShoutBox
'mod_nick'   	=> 'nospor',//nick osoby będącej moderatorem
							//Można podać tu tablice moderatorów, jesli chcecie miec kilku modow, np: array('nospor','innynick','jeszczeinnynick')
							//Pamiętajcie, że jest to tylko przykład i określanie tutaj praw jest banalne (po nicku)
							//Jeśli macie swój system, a w nim użytkownicy mają jakieś role, to lepiej na tej podstawie określajcie co kto może
'gzip' 		    => false, //czy włączyć kompresję gzip. Jeśli zależy Wam by mieć mały transfer, włączcie to
'save_transfer' => false, //czy oszczędzać na transferze. Jest to niezależna opcja od gzip.
						  //jej włączenie powoduje nie wysyłanie json wprzypadku gdy nie ma żadnych wiadomości
'period_removing' => array( //czy czyścić ShoutBox co jakiś czas ze starych wiadomości
							//jeśli nie chcecie czyszczenia, ustawcie to na false zamiast tablicy jak teraz
	'period'   => 30,       //co ile dni czyścić
	'days'     => 30,       //ile conajmniej mają mieć dni wiadomości, które należy usunąć
	'log_size' => 10        //ile kilobajtów ma zawierać plik z logami
),
'user_activity' => 30,    //co ile sekund zapisywać do bazy aktywność usera. Jeśli ustawimy na false, to nie będzie zapisywana wogóle
'refresh_time' => 10000,  //co ile milisekund sprawdzać nowe wiadomości (1000 milisekund = 1 sekunda)
'link' => 'ShoutBox.php',//link do skryptu, który będzie obsługiwać żądania ajaxowe. 
'type' => 'down',         //down - nowe wiadomości zapisywane na dole 
				          //up - nowe wiadomości zapisywane na górze 
'db_driver'     => 'ShoutBoxDBMysql',//sterownik bazy danych. Może byc: 
									 //  - ShoutBoxDBMysql - baza mysql 
									 //  - ShoutBoxDBTxt   - pliki 
									 //!!!WAŻNE!!!
									 //Sterownik dotyczy tylko tabeli z wiadomościami. Nie dotyczy on tabeli użytkowników.
									 //Jeśli więc przełączym się na sterownik ShoutBoxDBTxt, to tylko wiadomości będą zapisywane w plikach
									 //Użytkownicy i tak będą obsŁugiwani przez MySQL
'db_host'     => 'localhost',//host bazy danych 
'db_user'     => 'root',     //użytkownik  
'db_pass'     => '',         //hasło  
'db_name'     => 'test',     //nazwa bazy danych  
'table_name'  => 'ShoutBox', //nazwa tabeli  
);
?>