<?php
/**
 * Komenda color
 * Słuzy do zmiany koloru
 * Wywolanie: /color nowykolor - gdzie nowykolor np. ff0000
 * 
 * @package MCM
 * @subpackage independent
 * @author Robert (nospor) Nodzewski (email: nospor at gmail dot com)
 * @copyright 2006-2008 Robert Nodzewski
 * @access public
 */
class ShoutBoxCommandColor implements ShoutBoxCommand {
	public function Run($arg, ShoutBox $sbObject, ShoutBoxDB $dbObject, ShoutBoxFormatter $formatterObject, ShoutBoxRights $rightsObject){
		$_color = trim($arg);
		if (empty($_color)){ 
			$sbObject->AddAdminMessage('Musisz podać nowy kolor');
			return true;
		}
		if (!preg_match('/^[0-9a-f]{6}$/i',$_color)){
			$sbObject->AddAdminMessage('Niepoprawny kolor. Musi być XXXXXX, gdzie X to cyfry 0-9 lub litery a-f');
			return true;
		}
		
		//zmiana nazwy usera
		ShoutBoxDBMysql::MysqlConnect();
		$sql = "update ShoutBoxUser set COLOR='$_color' where ID=".$_SESSION['id'];
		$res = mysql_query($sql);
		if (!$res || mysql_affected_rows()!==1){
			$sbObject->AddAdminMessage('Nie udało się zmienić koloru');
			return true;
		}
		
		//wymuszenie aktualizacji użytkowników
		$formatterObject->GetUsersOnLine(true, true);
		$sbObject->AddAdminMessage('Kolor zmieniony');
				
		return true;
	}
}
?>