<?php
/**
 * Komenda me
 * Słuzy do wyswietlenia tekstu uzytkownika
 * Wywolanie: /me jakis tekst fajny
 * 
 * @package MCM
 * @subpackage independent
 * @author Robert (nospor) Nodzewski (email: nospor at gmail dot com)
 * @copyright 2006-2008 Robert Nodzewski
 * @access public
 */
class ShoutBoxCommandMe implements ShoutBoxCommand {
	public function Run($arg, ShoutBox $sbObject, ShoutBoxDB $dbObject, ShoutBoxFormatter $formatterObject, ShoutBoxRights $rightsObject){
		$_msg = trim($arg);
		if (empty($_msg)){ 
			$sbObject->AddAdminMessage('Musisz podać jeszcze tekst');
			return true;
		}
		//normalnie komunikaty admina nie są formatowane, ale z racji ze walniemy teraz wiadomosc usera
		//to trzeba ją sformatowac
		$_msg = $formatterObject->AddingMessageFormat($_msg);
		
		//danie tego, co koles powiedział
		$sbObject->AddAdminMessage('<u>'.$_SESSION['nick'].'</u> '.$_msg, true);
		return true;
	}
}
?>