<?php
/**
 * Komenda nick
 * Słuzy do zmiany nick.
 * Wywolanie: /nick nowynick
 * 
 * @package MCM
 * @subpackage independent
 * @author Robert (nospor) Nodzewski (email: nospor at gmail dot com)
 * @copyright 2006-2008 Robert Nodzewski
 * @access public
 */
class ShoutBoxCommandNick implements ShoutBoxCommand {
	public function Run($arg, ShoutBox $sbObject, ShoutBoxDB $dbObject, ShoutBoxFormatter $formatterObject, ShoutBoxRights $rightsObject){
		$_nick = trim($arg);
		if (empty($_nick)){ 
			$sbObject->AddAdminMessage('Musisz podać nowy nick');
			return true;
		}
		$_nick = htmlspecialchars($_nick, ENT_QUOTES);
		if ($_nick == $_SESSION['nick']){
			$sbObject->AddAdminMessage('Musisz podać inny nick niż masz obecnie');
			return true;
		}
		
		//zmiana nazwy usera
		ShoutBoxDBMysql::MysqlConnect();
		$sql = "update ShoutBoxUser set NICK='$_nick' where ID=".$_SESSION['id'];
		$res = mysql_query($sql);
		if (!$res || mysql_affected_rows()!==1){
			if (mysql_errno() == 1062)
				$sbObject->AddAdminMessage('Taki nick już istnieje');
			else
				$sbObject->AddAdminMessage('Nie udało się zmienić nick\'a');
			return true;
		}
		//zapisanie w sesji nowego nicka
		$_oldNick = $_SESSION['nick']; 
		$_SESSION['nick'] = $_nick;
		//wymuszenie aktualizacji użytkowników
		$formatterObject->GetUsersOnLine(true, true);
		//danie komunikatu dla wszystkich, że koleś zmienił nicka
		$sbObject->AddAdminMessage('<u>'.$_oldNick.'</u> znany jest teraz jako <u>'.$_nick.'</u>', true);
		
		return true;
	}
}
?>